package com.foreverwin.mesnac.production.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 上料表
 * </p>
 *
 * @author Philip
 * @since 2021-07-09
 */

@TableName("Z_LOAD_INVENTORY")

public class LoadInventory extends Model<LoadInventory> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 库存
     */
   @TableField("INVENTORY_ID")
   private String inventoryId;
    /**
     * 资源
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 物料
     */
   @TableField("ITEM")
   private String item;
    /**
     * 剩余数量
     */
   @TableField("QTY_ON_HAND")
   private BigDecimal qtyOnHand;
    /**
     * 上料数量
     */
   @TableField("LOAD_QTY")
   private BigDecimal loadQty;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getInventoryId() {
      return inventoryId;
   }

   public void setInventoryId(String inventoryId) {
      this.inventoryId = inventoryId;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public BigDecimal getQtyOnHand() {
      return qtyOnHand;
   }

   public void setQtyOnHand(BigDecimal qtyOnHand) {
      this.qtyOnHand = qtyOnHand;
   }

   public BigDecimal getLoadQty() {
      return loadQty;
   }

   public void setLoadQty(BigDecimal loadQty) {
      this.loadQty = loadQty;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String INVENTORY_ID = "INVENTORY_ID";

public static final String RESRCE = "RESRCE";

public static final String ITEM = "ITEM";

public static final String QTY_ON_HAND = "QTY_ON_HAND";

public static final String LOAD_QTY = "LOAD_QTY";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "LoadInventory{" +
         "handle = " + handle +
         ", site = " + site +
         ", inventoryId = " + inventoryId +
         ", resrce = " + resrce +
         ", item = " + item +
         ", qtyOnHand = " + qtyOnHand +
         ", loadQty = " + loadQty +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}